# decisions_nested_in_function.py
# complex decision using nested if-else
# decision logic factored into function
# main() used to run multiple test cases

# auto insurance premiums. female= 100.00 if under 25, otherwise 70.00
# auto insurance premiums. male = 200.00 if under 25, otherwise 160.00


def main():
    print(determine_premium(18, "male") == 200.00)
    print(determine_premium(24, "male") == 200.00)
    print(determine_premium(25, "male") == 160.00)
    print(determine_premium(26, "male") == 160.00)

    print(determine_premium(18, "female") == 100.00)
    print(determine_premium(24, "female") == 100.00)
    print(determine_premium(25, "female") == 70.00)
    print(determine_premium(26, "female") == 70.00)


def determine_premium(age, gender):
    premium = 0.00
    if gender == "male":
        if age < 25.0:
            premium = 200.00
        else:
            premium = 160.00
    else:  # gender is female
        if age < 25:
            premium = 100.00
        else:
            premium = 70.00
    return premium


main()
